const EsouiPublish = require('esoui-publish').EsouiPublish;
const package = require(`../../package`);
const params = {
  id: package.elderScrollsOnlineAddonId,
  version: package.version,
  description: process.env.DESCRIPTION,
  changelog: process.env.CHANGELOG,
  compatibility: package.elderScrollsOnlineCompatibility,
  updatefile: process.env.UPDATEFILE
};

new EsouiPublish(process.env.ESOUI_TOKEN, params).createUpdatePackageAndUpdate()
  .then(response => console.log(JSON.stringify(response, null, 2)))
  .catch(error => {
    console.log(error);
    console.log('##vso[task.complete result=Failed;]');
  });